/* Estilos generales */

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primario: #00A351;
  --secundario: #E84C49;
  --primario-claro: #c5ffe2;
  --secundario-claro: #ffc5c4;
  --acento: #50EA96;
  --texto: #505050;
  --fondo: #001E2B;
  --fondo2: #023749;
  --texto-claro: #ffffff;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

i {
  width: 1.2rem;
}

.titulo {
  padding-top: 2rem;
  padding-left: 1rem;
  font-family: Arial, Helvetica, sans-serif;
}

.titulo h1 {
  color: var(--acento);
}

.img-logo {
  width: 120px;
  margin-bottom: 2rem;
}

.admin {
  background-color: var(--fondo);
}

.clearfix {
  clear: both;
}

.logo {
  margin: 0 0 1rem 2rem;
}

.side-nav {
  height: 100%;
  width: 200px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: var(--fondo2);
  overflow: hidden;
  transition: 0.5s;
  padding-top: 1rem;
}

.side-nav ul li a {
  padding: 15px 8px 15px 2rem;
  font-size: 0.9rem;
  color: var(--texto-claro);
  display: block;
  transition: 0.3s;
  font-family: arial, sans-serif;
}

.side-nav .active {
  background-color: var(--fondo);
}

.side-nav ul li a:hover {
  color: var(--texto-claro);
  background-color: var(--fondo);
}

#main {
  transition: margin-left .5s;
  padding: 1rem;
  margin-left: 200px;
}

.menu-top {
  padding: 1.2rem;
}

.col-6 {
  width: 50%;
  float: left;
}

.close {
  display: inline-block;
  float: right;
}

.close button {
  color: var(--texto-claro);
  background-color: var(--fondo);
  border: none;
  cursor: pointer;
  font-size: 0.9rem;
}

.close button:hover {
  color: var(--acento);
}

.close button:hover i {
  color: var(--texto-claro) !important;
}

/* Contenido*/

.container {
  width: 100%;
  padding-bottom: 3rem;
  min-height: 260px;
  height: 100%;
  margin-top: 2rem;
  overflow: auto;
}

.box {
  border-radius: 5px;
  padding-top: 2rem;
  width: calc(100% - 2rem);
  margin: 0 auto;
  margin-bottom: 1rem;
}

.tablas-inicio {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

@media (max-width: 768px) {

  #main .menu-top {
    padding: 1.2rem 0rem;
  }

  .titulo {
    padding-top: 1rem;
    padding-left: 0rem;
  }

}

@media (max-width: 440px) {

  .titulo h1 {
    font-size: 1.2rem;
  }
}


/* Estilos: tablas */

/* Menú superior */
.menu-top-container {
  transition: margin-left 0.5s;
  padding: 1rem;
  margin-left: 200px;
  position: fixed;
  top: 0;
  right: 0;
  width: calc(100% - 200px);
  background-color: var(--fondo);
  padding-bottom: 1rem;
  border-bottom: solid 1px var(--primario);
}

.d-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.d-row input {
  padding: 0.5rem 1rem;
  width: 300px;
  font-size: 0.8rem;
  display: block;
}

.d-row input:focus-visible {
  outline: unset;
  border: 2px solid #50ea95a6;
}

.box {
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
}

/* Main*/
.main {
  margin-top: 140px;
}

/* Tabla */

table {
  font-family: arial, sans-serif;
  border-collapse: separate;
  width: 100%;
  font-size: 0.8rem;
  gap: 10px;
}

th,
td {
  text-align: left;
  padding: 12px 15px;
}

td {
  border-bottom: 6px solid var(--fondo);
}

th {
  color: var(--texto-claro);
  background-color: var(--fondo);
  border-bottom: 0.2rem solid var(--fondo);
  padding-top: 1rem;
}

tr {
  padding: 15px 0px;
  color: var(--texto-claro);
  border-radius: 15px;
  background-color: var(--fondo2);
}

th:first-child,
td:first-child,
.tabla-inicio .periodo {
  border-radius: 20px 0 0 20px;
}


td:last-child,
.contenido td:nth-last-child(2) {
  border-radius: 0 20px 20px 0;
  width: 110pt;
  max-width: 110pt;
}

th:last-child,
.contenido td:last-child{
  background-color: var(--fondo);
  width: 95pt;
  max-width: 95pt;
}

#tabla tbody td:nth-child(8) div,
#tabla tbody td:nth-child(2) div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  vertical-align: middle;
}

.tabla-ingresos .monto-ingreso {
  color: var(--acento);
}

.tabla-egresos .monto-egreso {
  color: var(--secundario);
}

.btn-tabla {
  background-color: var(--fondo);
  color: var(--primario);
  border: none;
  text-align: center;
  margin-left: 10px;
  cursor: pointer;
  height: auto;
}

.btn-tabla:hover{
  filter: brightness(1.5);
}

.btn-tabla i{
  color: var(--primario);
  font-size: 1.2rem;
}

.eliminar-btn i, .btn-eliminar-filtros i{
  color: var(--secundario);
}

.btn-eliminar-filtros {
  margin: 0;
  margin-top: 3px;

}

.tabla-ingresos .total {
  background-color: var(--primario);
}

.tabla-egresos .total {
  background-color: var(--secundario);
}

.tabla-egresos .total .monto-egreso {
  color: var(--texto-claro);
}

#tabla  th:first-child,
.tabla-ingresos .contenido td:nth-child(4) {
  width: 60pt;
  max-width: 60pt;
}

.tabla-ingresos .contenido td:nth-child(6) {
  min-width: 75pt;
  width: 75pt;
}

.tabla-egresos .contenido td:nth-child(7) {
  width: 128pt;
}

.tabla-egresos td:empty {
  background-color: rgba(1, 33, 44, 0.675)
    /* Color de fondo para celdas vacías */
}

.tabla-inicio .periodo {
  background-color: var(--fondo2);
  border-bottom: 6px solid var(--fondo);
  padding: 12px 15px;
}

.diferencia-positivo {
  color: var(--acento);
}

.diferencia-negativo {
  color: var(--secundario);
}

.tabla-resumenes td div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  vertical-align: middle;
  width: 100%;
  /* min-width: 35pt; */
  /* max-width: 75pt; */
}

/*Alertas*/

.alertas {
  margin-top: 18px;
}

.alerta {
  background-color: var(--primario-claro);
  padding: 1rem;
  margin-bottom: 1rem;
  border-radius: 5px;
}

.alerta-ok {
  background-color: var(--primario);
}

.alerta-error {
  background-color: var(--secundario);
}

.alerta p {
  font-family: arial, sans-serif;
  font-size: 0.8rem;
}

.alerta .text-validaciones {
  font-size: 1rem;
  color: var(--texto-claro);
  font-weight: 600;
}

.alerta .encabezado {
  font-family: arial, sans-serif;
  font-size: 0.8rem;
  color: var(--fondo);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-bottom: 1rem;
}

.alerta .encabezado h2 {
  font-size: 1rem;
  color: var(--fondo);
  font-weight: 700;
}


.alerta table {
  margin-bottom: 1rem;
}

.alerta table thead {
  background-color: var(--primario-claro);
  border: none;
  color: #001E2B;
  border-radius: none;
}

.alerta table th {
  padding-top: 0;
}

.alerta table tr td {
  border: none;
}

.alerta table thead tr {
  background-color: var(--primario-claro);
  border: none;
}

.alerta table th {
  background-color: var(--primario-claro);
  border: none;
  color: #001E2B;
  border-radius: none;
}

.alerta .btn-eliminar {
  background-color: var(--secundario);
  border-color: var(--secundario);
}


.alerta .box-btn-alerta {
  display: flex;
  flex-direction: row;
  justify-content: end;
}

.box-btn-alerta button:last-child {
  margin-right: 0;
  margin-bottom: 0;
}

/* Vista inicio*/

.subtitulo {
  padding-left: 1rem;
  font-size: 1.2rem;
  font-weight: 400;
  text-transform: uppercase;
  font-family: Arial, Helvetica, sans-serif;
  color: var(--acento);
}


/* botones modales*/

table form {
  display: inline-block;
}

.btn-modal {
  background-color: var(--primario);
  color: var(--texto-claro);
  border: var(--primario) 1px solid;
  text-align: center;
  margin-right: 5px;
  cursor: pointer;
  border-radius: 5px;
  height: 2rem;
  margin-right: 1rem;
  padding: 5px 15px;
  font-size: 0.9rem;
}

.btn-modal:hover {
  background-color: var(--primario-claro);
  color: var(--texto);
}

.btn-modal .fa-solid {
  text-align: left;
}


@media (max-width: 1338px) {
  .btn-modal {
    margin-bottom: 10px;
  }
}


@media (max-width: 1090px) {

  .d-row input {
    max-width: 220px;
  }

}

@media (max-width: 1000px) {

  .main {
    margin-top: 240px;
  }

  .d-row {
    flex-direction: column;
    max-width: 250px;
  }

}

@media (max-width: 768px) {

  .main {
    margin-top: 220px;
  }

  .menu-top {
    padding: 1.2rem 0rem;
  }

  .titulo {
    padding-top: 1rem;
    padding-left: 0rem;
  }

  .d-row {
    flex-direction: column;
    max-width: 250px;

  }

}

@media (max-width: 640px) {

  .main {
    margin-top: 360px;
  }

  .d-row {
    width: 100%;
    max-width: 100%;
  }

  .d-row input {
    width: 100%;
  }

}

@media (max-width: 640px) {

  .main {
    margin-top: 380px;
  }
}

/* Modal Editar */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

/* Modal: contenido */

.modal-content {
  position: absolute;
  background-color: #f1f1f1;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 380px;
  min-width: 200px;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  font-family: arial, sans-serif;
}

.modal-ingreso{
  width: 600px;
  box-sizing: border-box;

}

.modal-content form h4 {
  text-align: center;
  margin-bottom: 2rem;
  font-size: 1.2rem;
  font-family: Arial, Helvetica, sans-serif;
  color: var(--fondo);
}

.modal-ingreso form .box-col-12{
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 20px;
  justify-content: center;

}

.modal-ingreso form .box-col-12 .form-group {
  width: 48%;
}

.requerido{
  color: var(--secundario);
  font-weight: 700;
  margin-left: 5px;
}


#camposCategoria .form-group {
  display: none;
  /* Ocultar todos los campos por defecto para que sea dinámico */
}

#camposAlertas .form-group {
  display: none;
  /* Ocultar todos los campos por defecto para que sea dinámico */
}

.btn-form {
  padding: 0.5rem 1rem;
  margin-bottom: 1rem;
  display: block;
  margin-top: 1.2rem;
  width: 100%;
  background-color: var(--primario);
  font-size: 1rem;
  color: var(--texto-claro);
  border: none;
  cursor: pointer;
  border-radius: 5px;
}

.btn-form:hover {
  background-color: var(--secundario);
  color: var(--texto-claro);
}

/* botón para cerrar modal*/

.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
  line-height: 23px;
}

.close:hover,
.close:focus {
  color: var(--secundario);
  text-decoration: none;
  cursor: pointer;
}

.form-group {
  width: 100%;
}

.box-periodo {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
  margin-top: 0.3rem;
}

.form-group label,
.box-periodo label {
  font-size: 0.8rem;
  font-family: Arial, Helvetica, sans-serif;
  color: var(--fondo);
}

.box-periodo label {
  color: var(--primario);
}

.periodo-pagado {
  display: block;
  margin-bottom: 11px;

}

.form-group select {
  padding: 0.5rem 1rem;
  background-color: var(--fondo);
  color: var(--texto-claro);
  margin-bottom: 0.8rem;
}

.form-group select option {
  padding: 1rem 1rem;
  background-color: var(--fondo2);
  color: var(--texto-claro);
  font-size: 0.8rem;
}

.form-group input,
.btn {
  padding: 0.5rem 1rem;
  width: 100%;
  margin-bottom: 0.8rem;
  font-size: 0.8rem;
  display: block;
  margin-top: 0.5rem;
}

input[type="file"] {
  padding: 0;
}


.opcion-radio {
  display: inline;
  align-items: center;
  margin-bottom: 10px;
  margin-right: 2rem;
}

input[type="radio"] {
  display: inline;
  width: 20px;
  margin-top: 0.7rem;
}

.select-mes,
.fechas-quincenal {
  display: none;
  /* Ocultar por defecto */
}

.btn {
  width: calc(200px - 2.5rem);
  background-color: var(--primario);
  font-size: 1rem;
  padding: 0.5rem 1rem;
  color: var(--texto-claro);
  margin-top: 0.5rem;
  border: none;
  cursor: pointer;
  border-radius: 5px;
  float: right;
}

.btn:hover {
  background-color: var(--secundario);
  color: var(--texto-claro);
}

/* Modal Eliminar */
#modalEliminar .modal-text{
  padding: 2.5rem 0 2rem 0;
}

#modalEliminar .modal-text p{
  text-align: center;
  font-size: 1rem;
  font-weight: 700;
}

#modalEliminar .modal-footer{
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  padding-bottom: 1rem;
}


#modalEliminar .modal-footer .btn-eliminar{
  background-color: var(--secundario);
  margin-right: 0;
  height: auto;
}
#modalEliminar .modal-footer .btn-eliminar:hover, 
#modalEliminar .modal-footer .btn-cancelar:hover{
  background-color: var(--fondo);
}


#modalEliminar .modal-footer .btn-cancelar{
  background-color: var(--texto);
  height: auto;
}

/* Filtros */

.filtros{
  padding: 0 1rem;
  margin-top: 2rem;
}
.filtros {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 20px;
  align-items: center; 
}

.filtros .form-group {
  display: flex;
  align-items: center;
  gap: 5px; 
  width: auto;
}

.filtros .form-group label {
  margin-right: 5px;
  color: var(--texto-claro);
}

.filtros .form-group select,
.filtros .form-group input[type="search"] {
  font-size: 14px;
  padding: 0.2rem 1rem;
  margin-bottom: 0;
  margin-top: 0;
}

.filtros .form-group input[type="search"]{
  border: white 1px solid;
}

.filtros .buscador .input-group {
  display: flex;
  align-items: center;
}

.filtros .btn-buscar {
  padding: 0.2rem 0.3rem;
  font-size: 14px;
  cursor: pointer;
  border: var(--primario) 1px solid;
  background-color: var(--primario); 
  color: white;
  border-radius: 6px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.filtros .btn-buscar i {
  font-size: 16px;
}

@media (max-width: 768px) {

  * {
    box-sizing: border-box !important;
  }

  input {
    width: 100% !important;
  }
}

@media (max-width: 440px) {

  .box {
    width: calc(100% - 1rem);
  }

  .btn {
    float: left;
    margin-top: 1.3rem;
    min-width: 60px;
    width: 100%;
  }
}